// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef CFSReader_server_manager_modules_data_h
#define CFSReader_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/paraview-5.12.1-build/ParaView-v5.12.1/Plugins/CFSReader/Reader/CFSReader.xml
static const char* const CFSReader_server_manager_modulesCFSReaderInterface0 =
"<ServerManagerConfiguration>\n"
"\n"
"  <ProxyGroup name=\"sources\">\n"
"   <SourceProxy name=\"CFSReader\"\n"
"                class=\"vtkCFSReader\"\n"
"                label=\"openCFS HDF5 reader\">\n"
"     <Documentation\n"
"       short_help=\"Read an openCFS HDF5 file\"\n"
"       long_help=\"Read an openCFS result file in HDF5 encoding.\">\n"
"       openCFS stores its data in HDF5 format (www.hdfgroup.org).\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          Name of the openCFS HDF5 reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- General section do declare valid file extensions and to make 'hidden' properties visible -->\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"cfs h5ref nrf nmf\"\n"
"                      file_description=\"openCFS Result/Mesh Files\" />\n"
"     </Hints>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Region Selection Widget             -->\n"
"     <!-- ==================================== -->\n"
"     <StringVectorProperty name=\"RegionArrayInfo\" information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Region\"/>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"RegionArrayStatus\"\n"
"       command=\"SetRegionArrayStatus\"\n"
"       number_of_elements=\"0\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"2\"\n"
"       element_types=\"2 0\"\n"
"       information_property=\"RegionArrayInfo\"\n"
"       label=\"Regions\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"RegionArrayInfo\" function=\"RegionList\"/>\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which regions to read in.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Element Group Selection Widget      -->\n"
"     <!-- ==================================== -->\n"
"     <StringVectorProperty name=\"NamedElementArrayInfo\" information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"NamedElement\"/>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"NamedElementArrayStatus\"\n"
"       command=\"SetNamedElementArrayStatus\"\n"
"       number_of_elements=\"0\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"2\"\n"
"       element_types=\"2 0\"\n"
"       information_property=\"NamedElementArrayInfo\"\n"
"       label=\"Element Groups\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"NamedElementArrayInfo\" function=\"NamedElementList\"/>\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which element groups to read in.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Nodal Group Selection Widget        -->\n"
"     <!-- ==================================== -->\n"
"     <StringVectorProperty name=\"NamedNodeArrayInfo\"\n"
"       information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"NamedNode\"/>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"NamedNodeArrayStatus\"\n"
"       command=\"SetNamedNodeArrayStatus\"\n"
"       number_of_elements=\"0\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"2\"\n"
"       element_types=\"2 0\"\n"
"       information_property=\"NamedNodeArrayInfo\"\n"
"       label=\"Nodal Groups\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"NamedNodeArrayInfo\" function=\"NamedNodeList\"/>\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which nodal groups to read in.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Select Analysis Step                -->\n"
"     <!-- ==================================== -->\n"
"     <IntVectorProperty name=\"AnalysisStep\"\n"
"       command=\"SetMultiSequenceStep\"\n"
"       number_of_elements=\"1\"\n"
"       animateable=\"1\"\n"
"       default_values=\"1\">\n"
"       <IntRangeDomain name=\"range\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"MultiSequenceRangeInfo\" function=\"Range\"/>\n"
"         </RequiredProperties>\n"
"       </IntRangeDomain>\n"
"       <Documentation>\n"
"         Select the current analysis step.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- Get time/freq range of current multisequence step -->\n"
"     <IntVectorProperty name=\"TimeStepNumberRangeInfo\"\n"
"       command=\"GetTimeStepNumberRange\"\n"
"       number_of_elements=\"2\"\n"
"       information_only=\"1\"\n"
"       default_values=\"1 1\">\n"
"       <SimpleIntInformationHelper/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Switch: Harmonic Mode Shape        -->\n"
"     <!-- ==================================== -->\n"
"     <IntVectorProperty\n"
"         name=\"InterpretHarmonicDataAsModeShape\"\n"
"         command=\"SetHarmonicDataAsModeShape\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"\n"
"         label=\"Animate Harmonic / Modal Results\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          By switching on this flag, the reader will generate continuous transient data of one\n"
"          period of the harmonic oscillation. There will be a time range [0, 1]\n"
"          corresponding to an interval [0, 2*pi] for the argument of the rotating phasor.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Select Frequency Step               -->\n"
"     <!-- ==================================== -->\n"
"     <IntVectorProperty name=\"TimeStep\"\n"
"       command=\"SetTimeStep\"\n"
"       number_of_elements=\"1\"\n"
"       animateable=\"1\"\n"
"       default_values=\"0\"\n"
"       label=\"Frequency Step\">\n"
"       <!--information_property=\"TimestepValues\"-->\n"
"       <IntRangeDomain name=\"range\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"TimeStepNumberRangeInfo\" function=\"Range\"/>\n"
"         </RequiredProperties>\n"
"       </IntRangeDomain>\n"
"       <Documentation>\n"
"         Select the step to animate over one oscillation period.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Switch: Complex Mode                -->\n"
"     <!-- ==================================== -->\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"ComplexPartReal\"\n"
"         command=\"SetComplexReal\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         label=\"Real\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Provide real part of complex valued result (called *Real)\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty\n"
"         name=\"ComplexPartImaginary\"\n"
"         command=\"SetComplexImaginary\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         label=\"Imaginary\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Provide imaginary part of complex valued result (called *Imag)\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty\n"
"         name=\"ComplexPartAmplitude\"\n"
"         command=\"SetComplexAmplitude\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"\n"
"         label=\"Amplitude\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Provide amplitude of complex valued result (called *Ampl)\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty\n"
"         name=\"ComplexPartPhase\"\n"
"         command=\"SetComplexPhase\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"\n"
"         label=\"Phase\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Provide phase of complex valued result (called *Phase)\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"     <PropertyGroup panel_widget=\"Line\" label=\"Complex Parts\">\n"
"       <Property function=\"SetComplexReal\" name=\"ComplexPartReal\" />\n"
"       <Property function=\"SetComplexImaginary\" name=\"ComplexPartImaginary\" />\n"
"       <Property function=\"SetComplexAmplitude\" name=\"ComplexPartAmplitude\" />\n"
"       <Property function=\"SetComplexPhase\" name=\"ComplexPartPhase\" />\n"
"       </PropertyGroup>\n"
"\n"
"     <!-- Get number of multisequence steps -->\n"
"     <IntVectorProperty name=\"MultiSequenceRangeInfo\"\n"
"       command=\"GetMultiSequenceRange\"\n"
"       number_of_elements=\"2\"\n"
"       information_only=\"1\"\n"
"       default_values=\"1 1\">\n"
"       <SimpleIntInformationHelper/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Switch: Fill Missing Resuls         -->\n"
"     <!-- ==================================== -->\n"
"     <IntVectorProperty\n"
"       name=\"FillMissingResults\"\n"
"       command=\"SetFillMissingResults\"\n"
"       number_of_elements=\"1\"\n"
"       label = \"Fill Missing Results\"\n"
"       default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If activated, results, which are just defined for some regions, will be\n"
"         filled with zeros on the remaining regions.\n"
"         It will require more memory, but prevents problem e.g. with StreamTracer.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- ==================================== -->\n"
"     <!--  Switch: Add Dimensional Units       -->\n"
"     <!-- ==================================== -->\n"
"     <IntVectorProperty\n"
"        name=\"AddDimensionsToArrayNames\"\n"
"        command=\"SetAddDimensionsToArrayNames\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Add Dimensional Units To Results\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Read dimensional units from field data and add them to array names as human-readable string.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- ===================================== -->\n"
"     <!--  Show Current Time or Frequency Value -->\n"
"     <!-- ===================================== -->\n"
"     <StringVectorProperty name=\"TimeOrFrequencyValue\"\n"
"       number_of_elements=\"1\"\n"
"       command=\"GetTimeOrFrequencyValueStr\"\n"
"       information_only=\"1\"\n"
"       panel_visibility=\"default\"\n"
"       animateable=\"1\"\n"
"       default_values=\"0.0\"\n"
"       label=\"Frequency\">\n"
"       <Documentation>\n"
"          Current time / frequency value.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- This property is used by the property panel to show the available timesteps in the data. -->\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"       <TimeStepsInformationHelper />\n"
"       <Documentation>\n"
"          Choose time step (frequency step/ eigenvector) for\n"
"          transient animation via ParaView.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimeRange\" information_only=\"1\">\n"
"       <TimeRangeInformationHelper/>\n"
"       <Documentation>\n"
"          Sends time range information to the animation panel.\n"
"          ParaView uses this information to set the range of time\n"
"          for the animation.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"   <!-- End CFSReader -->\n"
"   </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* CFSReader_server_manager_modulesCFSReaderGetInterfaces()
{

  const size_t len0 = strlen(CFSReader_server_manager_modulesCFSReaderInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(CFSReader_server_manager_modulesCFSReaderInterface0, CFSReader_server_manager_modulesCFSReaderInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
