// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef LegacyGhostCellsGenerator_server_manager_modules_data_h
#define LegacyGhostCellsGenerator_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/paraview-5.12.1-build/ParaView-v5.12.1/Plugins/LegacyGhostCellsGenerator/Filters/LegacyGhostCellsGenerator.xml
static const char* const LegacyGhostCellsGenerator_server_manager_modulesLegacyGhostCellsGeneratorInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkUnstructuredGridGhostCellsGenerator\"\n"
"                 label=\"Legacy Ghost Cells Generator\"\n"
"                 name=\"LegacyGhostCellsGenerator\">\n"
"      <Documentation long_help=\"Generate ghost cells for unstructured grids.\"\n"
"                     short_help=\"Generate ghost cells for unstructured grids.\">\n"
"                     The GhostCellGenerator operates on unstructured grids only.\n"
"                     This filter does not redistribute the input data, it only\n"
"                     generates ghost cells at processor boundaries by fetching\n"
"                     topological and geometrical information of those cells on\n"
"                     neighbor ranks. The filter can take advantage of global point\n"
"                     ids if they are available - if so it will perform faster,\n"
"                     otherwise point coordinates will be exchanged and processed.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the ghost cells\n"
"        generator.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetBuildIfRequired\"\n"
"                         default_values=\"0\"\n"
"                         name=\"BuildIfRequired\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Specify if the filter must generate the ghost cells only\n"
"          if required by the pipeline downstream. To force at least a fixed level\n"
"          of ghosts, this must be set to 0 (unchecked).</Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetMinimumNumberOfGhostLevels\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         name=\"MinimumNumberOfGhosts\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\" />\n"
"        <Documentation>\n"
"          When **BuildIfRequired** if off, use this to specify the minimum number of\n"
"          ghost cells to request. The filter may request more ghost levels than indicated if a\n"
"          downstream filter asked for more ghost levels.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"enabled_state\"\n"
"                                   property=\"BuildIfRequired\"\n"
"                                   value=\"0\" />\n"
"          <!-- if BuildIfRequired !=0 , we disable this property -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseGlobalPointIds\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseGlobalIds\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Specify if the filter must take benefit of global point\n"
"        ids if they exist or if point coordinates should be used instead.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetGlobalPointIdsArrayName\"\n"
"                            default_values=\"GlobalNodeIds\"\n"
"                            name=\"GlobalPointIdsArrayName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <Documentation>This property provides the name for the input array\n"
"        containing the global point ids if the GlobalIds array of the point\n"
"        data if not set. Default is GlobalNodeIds.</Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ShowWidgetDecorator\">\n"
"            <Property name=\"UseGlobalIds\" function=\"boolean\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <!-- End vtkPUnstructuredGridGhostCellsGenerator -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* LegacyGhostCellsGenerator_server_manager_modulesLegacyGhostCellsGeneratorGetInterfaces()
{

  const size_t len0 = strlen(LegacyGhostCellsGenerator_server_manager_modulesLegacyGhostCellsGeneratorInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(LegacyGhostCellsGenerator_server_manager_modulesLegacyGhostCellsGeneratorInterface0, LegacyGhostCellsGenerator_server_manager_modulesLegacyGhostCellsGeneratorInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
