// SPDX-FileCopyrightText: Copyright (c) Kitware Inc.
// SPDX-FileCopyrightText: Copyright (c) Sandia Corporation
// SPDX-License-Identifier: BSD-3-Clause
// Generated file.  Do not edit.


#ifndef pqSLACActionGroupImplementation_h
#define pqSLACActionGroupImplementation_h

#include "pqActionGroupInterface.h"
#include <QObject>

/// interface class for plugins that create QActionGroups
/// for adding actions to menus and toolbars
class pqSLACActionGroupImplementation : public QObject, public pqActionGroupInterface
{
  Q_OBJECT
  Q_INTERFACES(pqActionGroupInterface)
public:
  pqSLACActionGroupImplementation(QObject* p);
  ~pqSLACActionGroupImplementation() override;

  /// the identifier for this action group
  ///  return "ToolBar/MyTools to put them in a toolbar called MyTools
  ///  return "MenuBar/MyMenu to put the actions under MyMenu
  QString groupName() override;

  /// the instance of the QActionGroup that defines the actions
  QActionGroup* actionGroup() override;
protected:
  QActionGroup* ActionGroup;
};

#endif
