// SPDX-FileCopyrightText: Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
// SPDX-License-Identifier: BSD-3-Clause
#include "vtkPointGaussianGS.h"

const char *vtkPointGaussianGS =
"//VTK::System::Dec\n"
"\n"
"// SPDX-FileCopyrightText: Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen\n"
"// SPDX-License-Identifier: BSD-3-Clause\n"
"// Template for the polydata mappers geometry shader\n"
"\n"
"// primitiveID\n"
"//VTK::PrimID::Dec\n"
"\n"
"// optional color passed in from the vertex shader, vertexColor\n"
"//VTK::Color::Dec\n"
"\n"
"layout(points) in;\n"
"layout(triangle_strip, max_vertices = 4) out;\n"
"\n"
"uniform int cameraParallel;\n"
"uniform float boundScale;\n"
"uniform float scaleFactor;\n"
"\n"
"uniform mat4 VCDCMatrix;\n"
"\n"
"in float radiusVCVSOutput[];\n"
"out vec2 offsetVCGSOutput;\n"
"\n"
"// clipping plane vars\n"
"//VTK::Clip::Dec\n"
"\n"
"// picking support\n"
"//VTK::Picking::Dec\n"
"\n"
"void main()\n"
"{\n"
"  int i = 0;\n"
"  vec2 offset;\n"
"\n"
"  vec4 base1 = vec4(1.0,0.0,0.0,0.0);\n"
"  vec4 base2 = vec4(0.0,1.0,0.0,0.0);\n"
"\n"
"  // make the quad face the camera\n"
"  if (cameraParallel == 0)\n"
"  {\n"
"    vec3 dir = normalize(-gl_in[0].gl_Position.xyz);\n"
"    base2 = vec4(normalize(cross(dir,vec3(1.0,0.0,0.0))), 0.0);\n"
"    base1 = vec4(cross(base2.xyz,dir),0.0);\n"
"  }\n"
"\n"
"  //VTK::PrimID::Impl\n"
"\n"
"  //VTK::Clip::Impl\n"
"\n"
"  //VTK::Color::Impl\n"
"\n"
"  //VTK::Picking::Impl\n"
"\n"
"  vec2 offsets[4] = vec2[](vec2(-boundScale, -boundScale),\n"
"                           vec2(boundScale, -boundScale),\n"
"                           vec2(-boundScale, boundScale),\n"
"                           vec2(boundScale, boundScale));\n"
"\n"
"  for (int i = 0; i < 4; i++)\n"
"  {\n"
"    vec2 offset = scaleFactor * radiusVCVSOutput[0] * offsets[i];\n"
"\n"
"    offsetVCGSOutput = offsets[i];\n"
"    gl_Position = VCDCMatrix * (gl_in[0].gl_Position + offset.x*base1 + offset.y*base2);\n"
"    EmitVertex();\n"
"  }\n"
"\n"
"  EndPrimitive();\n"
"}\n"
"";
